package org.gcube.portlets.user.td.tablewidget.client.geospatial;

import org.gcube.portlets.user.td.widgetcommonevent.shared.geospatial.CSquareDownscaleResolution;

/**
 * 
 * @author giancarlo
 * email: <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class DownscaleCSquare {
	private int id;
	private CSquareDownscaleResolution value;

	public DownscaleCSquare() {
	}

	public DownscaleCSquare(int id, CSquareDownscaleResolution value) {
		super();
		this.id = id;
		this.value = value;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public CSquareDownscaleResolution getValue() {
		return value;
	}

	public void setValue(CSquareDownscaleResolution value) {
		this.value = value;
	}
	
	public String getLabel(){
		return value.getLabel();
	}
	

	@Override
	public String toString() {
		return "DownscaleCSquare [id=" + id + ", value=" + value + "]";
	}

}
