package org.gcube.portlets.user.td.tablewidget.client.geospatial;

import java.io.Serializable;
import java.util.ArrayList;

import org.gcube.portlets.user.td.widgetcommonevent.shared.geospatial.CSquareDownscaleResolution;

/**
 * 
 * @author giancarlo
 * email: <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class DownscaleCSquareStore implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6520001942214730827L;

	private static ArrayList<DownscaleCSquare> storeDownscaleCSquare;
	
	
	
	public static ArrayList<DownscaleCSquare> getStoreDownscaleCSquare() {
		storeDownscaleCSquare=new ArrayList<DownscaleCSquare>();
		
		int i=1;
		for(CSquareDownscaleResolution resolution:CSquareDownscaleResolution.getList()){
			DownscaleCSquare downscale=new DownscaleCSquare(i, resolution);
			storeDownscaleCSquare.add(downscale);
			i++;
		}
		
		return storeDownscaleCSquare;
	}
	
	
}
